iPod touch Apps and games that still work with 5.1.1?

Discussion in 'iOS 5 and earlier' started by KingShoot007, Jun 27, 2014.

  1. KingShoot007 macrumors member

    Joined:
    Jul 19, 2013
    Location:
    Starfleet Academy
    #1
    Hey guys. I have decided to downgrade back to 5.1.1 on my 4th gen iTouch, it's much snappier then iOS 6.But when I downgraded about a month ago, 70% of my apps and games didn't work because they need either 6.0 or 6.1.

    Is there a way to get these apps to work on 5.1.1( without editing the SystemVersion.plist),or is there a site with older versions of apps/games?

    Cheers.King
     
  2. lelisa13p macrumors 68000

    lelisa13p

    Joined:
    Mar 6, 2009
    Location:
    Atlanta, GA USA
    #2
    If you originally downloaded them from the App Store, you can go to each listing and download them again. The App Store will offer you the latest version of each that will work with your iOS. Locate them using the Purchased option in App Store on the iPod Touch.
     
  3. KingShoot007 thread starter macrumors member

    Joined:
    Jul 19, 2013
    Location:
    Starfleet Academy
  4. lelisa13p macrumors 68000

    lelisa13p

    Joined:
    Mar 6, 2009
    Location:
    Atlanta, GA USA
    #4
    Because the App Store refers to any app downloaded as "purchased" even if it was a free app, previously downloaded apps associated with the particular Apple ID will be shown on the Purchased tab. If an app was on your device, it should show up unless it has been removed from the App Store.

    If you are looking for apps that you didn't own previously, you must find each one in the App Store and then read the specs for each. If you want to know if there is an earlier version still available, you'll have to try downloading and see if you receive the "older version" prompt.
     
  5. headsh0t95 macrumors regular

    Joined:
    Dec 21, 2013
    Location:
    Netherlands
    #5
    Just buy them using iTunes on your PC or Mac. Then on the iPod go to the App Store, it sees you have purchased them and it will offer the older version for iOS 5.1.1 given one is available.
     

Share This Page